event::Channel_1_0_1 Interface Reference

Event Channel. More...

`import"EventService.idl";`

## Classes

struct | EventSelect
| Structure to select an Event *. More...

## Public Member Functions

void | demandEventType (in typecode type)
| Subscribe for events of a given type. More...
void | cancelEventType (in typecode type)
| Cancel the subscription for events of a given type. More...
void | demandEventTypes (in vector< typecode > types)
| Subscribe for multiple event types at once. More...
void | cancelEventTypes (in vector< typecode > types)
| Cancel subscription for events that are of any of given types. More...
void | demandEvent (in typecode type, in Object src)
| Subscribe for events that are of given type and emitted by a specific object instance. More...
void | cancelEvent (in typecode type, in Object src)
| Cancel the subscription for events that are of given type and emitted by a specific object instance. More...
void | demandEvents (in vector< EventSelect > events)
| Subscribe for multiple specific events at once. More...
void | cancelEvents (in vector< EventSelect > events)
| Cancel the subscription for multiple specific events. More...
boolean | pollEvents (out vector< idl::Event > events)
| Poll for new events blockingly. More...
boolean | pollEventsNb (out vector< idl::Event > events)
| Poll for new events non-blockingly. More...

## Detailed Description

Event Channel.

## Member Function Documentation

## cancelEvent()

void event::Channel_1_0_1::cancelEvent | ( | in typecode | type,
|  | in Object | src
| ) |  |

Cancel the subscription for events that are of given type and emitted by a specific object instance.

Parameters

  evttype | Event typecode
  src | Event source instance

## cancelEvents()

void event::Channel_1_0_1::cancelEvents | ( | in vector< EventSelect > | events | ) |

Cancel the subscription for multiple specific events.

Parameters

  events | List of typecodes to unsubscribe from

## cancelEventType()

void event::Channel_1_0_1::cancelEventType | ( | in typecode | type | ) |

Cancel the subscription for events of a given type.

Parameters

  evttype | typecode of valueobject of demanded event

## cancelEventTypes()

void event::Channel_1_0_1::cancelEventTypes | ( | in vector< typecode > | types | ) |

Cancel subscription for events that are of any of given types.

Parameters

  evttypes | List of event typecodes

## demandEvent()

void event::Channel_1_0_1::demandEvent | ( | in typecode | type,
|  | in Object | src
| ) |  |

Subscribe for events that are of given type and emitted by a specific object instance.

Parameters

  evttype | Event typecode
  src | Event source instance

## demandEvents()

void event::Channel_1_0_1::demandEvents | ( | in vector< EventSelect > | events | ) |

Subscribe for multiple specific events at once.

Parameters

  events | List of typecodes to subscribe for

## demandEventType()

void event::Channel_1_0_1::demandEventType | ( | in typecode | type | ) |

Subscribe for events of a given type.

Parameters

  evttype | typecode of valueobject of demanded event

## demandEventTypes()

void event::Channel_1_0_1::demandEventTypes | ( | in vector< typecode > | types | ) |

Subscribe for multiple event types at once.

Parameters

  evttypes | List of event typecodes

## pollEvents()

boolean event::Channel_1_0_1::pollEvents | ( | out vector< idl::Event > | events | ) |

Poll for new events blockingly.

This method will block in case the queue is empty. It will return as soon as at least one event is available, or after a maximum wait time of 30 seconds.

The method will not return more than an implementation-defined maximum number of events. The boolean return value indicates whether there are more events in the queue.

Parameters

  events | List of new events

Returns
  `true` if there are more events in the queue `false` if the queue is empty

## pollEventsNb()

boolean event::Channel_1_0_1::pollEventsNb | ( | out vector< idl::Event > | events | ) |

Poll for new events non-blockingly.

The method will not return more than an implementation-defined maximum number of events. The boolean return value indicates whether there are more events in the queue.

Parameters

  events | List of new events

Returns
  `true` if there are more events in the queue `false` if the queue is empty

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/EventService.idl